groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 07/28: [tests]: Fix Savannah #62506.


From: G. Branden Robinson
Subject: [groff] 07/28: [tests]: Fix Savannah #62506.
Date: Wed, 25 May 2022 22:43:21 -0400 (EDT)

gbranden pushed a commit to branch master
in repository groff.

commit 6278cbc6e84dfd7658a087df6355752cb7466c7e
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
AuthorDate: Tue May 24 07:05:31 2022 -0500

    [tests]: Fix Savannah #62506.
    
    * src/preproc/preconv/tests/do-not-seek-the-unseekable.sh: Skip
      seekability check of the standard input stream if there is no
      controlling terminal.
    
    Fixes <https://savannah.gnu.org/bugs/?62506>.  Thanks to Bjarni Ingi
    Gislason for the report.
---
 ChangeLog                                               | 9 +++++++++
 src/preproc/preconv/tests/do-not-seek-the-unseekable.sh | 2 ++
 2 files changed, 11 insertions(+)

diff --git a/ChangeLog b/ChangeLog
index b0e22266..26349de1 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2022-05-24  G. Branden Robinson <g.branden.robinson@gmail.com>
+
+       * src/preproc/preconv/tests/do-not-seek-the-unseekable.sh: Skip
+       seekability check of the standard input stream if there is no
+       controlling terminal.
+
+       Fixes <https://savannah.gnu.org/bugs/?62506>.  Thanks to Bjarni
+       Ingi Gislason for the report.
+
 2022-05-24  G. Branden Robinson <g.branden.robinson@gmail.com>
 
        * m4/groff.m4 (GROFF_CHECK_GROHTML_PROGRAMS): Migrate from
diff --git a/src/preproc/preconv/tests/do-not-seek-the-unseekable.sh 
b/src/preproc/preconv/tests/do-not-seek-the-unseekable.sh
index 3cb36404..2d0b7440 100755
--- a/src/preproc/preconv/tests/do-not-seek-the-unseekable.sh
+++ b/src/preproc/preconv/tests/do-not-seek-the-unseekable.sh
@@ -41,8 +41,10 @@ echo "$output" | grep -q "stream is not seekable" || wail
 
 # /dev/stdin might not exist in a chroot.  Or, if it's not (a symbolic
 # link to) a character special device, the next test will not be valid.
+# Similarly, we must have a controlling terminal.
 test -z "$fail"
 test -c /dev/stdin || exit 77 # skip
+test "$(tty)" != "not a tty" || exit 77 # skip
 
 echo "testing seekability of standard input stream" >&2
 output=$(printf '' | "$preconv" -d /dev/stdin 2>&1)



reply via email to

[Prev in Thread] Current Thread [Next in Thread]